#include <string>
#include <iostream>
#include <fstream>
#include <cstdio>

using namespace std;

int main()
{
	ifstream cin("reading.in");
	ofstream cout("reading.out");
	int cnt = 0, cntUp = 0;
	string s;
	while (cin >> s) cnt++, cntUp += toupper(s[0]) == s[0];
	if (cnt > 6 * cntUp) cout << "Real life\n";
	else cout << "Dreaming\n";
}